/*
  Studienprojekt 2002:
  Register-Umsetzung nach XML
  Autor:   Heejung Park
  E-Mail: toheejung@web.de
*/

import java.io.*;
import java.util.*;
import java.math.*;

public class TagStack extends Stack {

  public void closeLastTag(XMLDocument xmlDocument) throws IOException {
    if (!empty()) {
      String tag = (String)pop();
      xmlDocument.writeEndTag(tag);
    }
  }

  public void closeAllTags(XMLDocument xmlDocument) throws IOException {
    while (!empty()) {
      String tag = (String)pop();
      xmlDocument.writeEndTag(tag);
    }
  }

}




